/* Reset some basic styles */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }
  
  body {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    background: #f4f4f4;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
  }
  
  /* Header styles */
  header {
    background-color: #2c3e50;
    padding: 20px;
    text-align: center;
    color: white;
  }
  
  h1 {
    margin-bottom: 10px;
  }
  
  .search-bar {
    margin-top: 10px;
  }
  
  .search-bar input {
    padding: 10px;
    width: 250px;
    border: none;
    border-radius: 5px;
    margin-right: 8px;
  }
  
  .search-bar button {
    padding: 10px 15px;
    border: none;
    border-radius: 5px;
    background-color: #3498db;
    color: white;
    cursor: pointer;
    font-weight: bold;
  }

  .suggestions {
    background: #363251;
    border: 1px solid #ccc;
    position: absolute;
    top: 110%; /* Just below the input */
    left: 48%;
    transform: translateX(-50%);
    max-width: fit-content;
    min-width: 200px; /* Optional: minimum size */
    max-height: 200px;
    overflow-y: auto;
    z-index: 1000;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
    transition: all 0.2s ease-in-out;
  }
  
  .suggestions div {
    padding: 10px;
    cursor: pointer;
  }
  
  .suggestions div:hover {
    background-color: #95a1a8;
  }

  .custom-logo {
    background: rgba(255, 255, 255, 0.9);
    padding: 6px 10px;
    border-radius: 8px;
    box-shadow: 0 0 8px rgba(0, 0, 0, 0.1);
    display: flex;
    align-items: center;
    font-family: sans-serif;
  }
  
  /* Map container */
  #map {
    flex-grow: 1;
    height: 80vh;
    width: 100%;
  }
  
  /* Main container */
  main {
    flex: 1;
    display: flex;
    flex-direction: column;
  }